# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetResultSetMetadataResp

Packages that use TGetResultSetMetadataResp
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.common
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetResultSetMetadataResp in com.databricks.jdbc.api.impl

Constructors in com.databricks.jdbc.api.impl with parameters of type TGetResultSetMetadataResp
Modifier
Constructor
Description
``
`DatabricksResultSetMetaData(StatementId statementId, TGetResultSetMetadataResp resultManifest, long rows, long chunkCount, List<String> arrowMetadata, IDatabricksConnectionContext ctx)`
Constructs a `DatabricksResultSetMetaData` object for a Thrift-based result set.

## Uses of TGetResultSetMetadataResp in com.databricks.jdbc.common

Methods in com.databricks.jdbc.common with parameters of type TGetResultSetMetadataResp
Modifier and Type
Method
Description
`static CompressionCodec`
CompressionCodec.`getCompressionMapping(TGetResultSetMetadataResp metadataResp)`

## Uses of TGetResultSetMetadataResp in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TGetResultSetMetadataResp
Modifier and Type
Method
Description
`static int`
DatabricksThriftUtil.`getColumnCount(TGetResultSetMetadataResp resultManifest)`

## Uses of TGetResultSetMetadataResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetResultSetMetadataResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetResultSetMetadata_call`
`static class`
`TCLIService.AsyncProcessor.GetResultSetMetadata<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetResultSetMetadataResp
Modifier and Type
Class
Description
`class`
`TGetResultSetMetadataResp`
`class`
`TGetResultSetMetadataResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetResultSetMetadataResp
Modifier and Type
Field
Description
`TGetResultSetMetadataResp`
TFetchResultsResp.`resultSetMetadata`
`TGetResultSetMetadataResp`
TSparkDirectResults.`resultSetMetadata`
`TGetResultSetMetadataResp`
TCLIService.GetResultSetMetadata_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetResultSetMetadataResp
Modifier and Type
Method
Description
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`deepCopy()`
`TGetResultSetMetadataResp`
TCLIService.AsyncClient.GetResultSetMetadata_call.`getResult()`
`TGetResultSetMetadataResp`
TFetchResultsResp.`getResultSetMetadata()`
`TGetResultSetMetadataResp`
TSparkDirectResults.`getResultSetMetadata()`
`TGetResultSetMetadataResp`
TCLIService.Client.`GetResultSetMetadata(TGetResultSetMetadataReq req)`
`TGetResultSetMetadataResp`
TCLIService.Iface.`GetResultSetMetadata(TGetResultSetMetadataReq req)`
`TGetResultSetMetadataResp`
TCLIService.GetResultSetMetadata_result.`getSuccess()`
`TGetResultSetMetadataResp`
TCLIService.Client.`recv_GetResultSetMetadata()`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setArrowSchema(byte[] arrowSchema)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setArrowSchema(ByteBuffer arrowSchema)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setCacheLookupResult(TCacheLookupResult cacheLookupResult)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setCompressedBytes(long compressedBytes)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setIsStagingOperation(boolean isStagingOperation)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setLz4Compressed(boolean lz4Compressed)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setResultFormat(TSparkRowSetType resultFormat)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setSchema(TTableSchema schema)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setStatus(TStatus status)`
`TGetResultSetMetadataResp`
TGetResultSetMetadataResp.`setUncompressedBytes(long uncompressedBytes)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetResultSetMetadataResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp>`
TCLIService.AsyncProcessor.GetResultSetMetadata.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetResultSetMetadataResp
Modifier and Type
Method
Description
`int`
TGetResultSetMetadataResp.`compareTo(TGetResultSetMetadataResp other)`
`boolean`
TGetResultSetMetadataResp.`equals(TGetResultSetMetadataResp that)`
`TFetchResultsResp`
TFetchResultsResp.`setResultSetMetadata(TGetResultSetMetadataResp resultSetMetadata)`
`TSparkDirectResults`
TSparkDirectResults.`setResultSetMetadata(TGetResultSetMetadataResp resultSetMetadata)`
`TCLIService.GetResultSetMetadata_result`
TCLIService.GetResultSetMetadata_result.`setSuccess(TGetResultSetMetadataResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetResultSetMetadataResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetResultSetMetadata(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetResultSetMetadata(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetResultSetMetadata.`start(I iface, TCLIService.GetResultSetMetadata_args args, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetResultSetMetadataResp
Modifier
Constructor
Description
``
`GetResultSetMetadata_result(TGetResultSetMetadataResp success)`
``
`TGetResultSetMetadataResp(TGetResultSetMetadataResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetResultSetMetadataResp
Modifier
Constructor
Description
``
`GetResultSetMetadata_call(TGetResultSetMetadataReq req, org.apache.thrift.async.AsyncMethodCallback<TGetResultSetMetadataResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`